> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/image/describeimagequota.md).

# DescribeImageQuota

## 1. API Description

This API (DescribeImageQuota) is used to query the quota of images in the zone.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Up to 5 images can be created in each zone. If you need more, please contact Zenlayer Support.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                               |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------- |
| zoneIds        | No       | Array of String | <p>Zone ID.</p><p>Call DescribeZones and find zoneId in the response.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                 | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                               | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| images         | Array of [ImageQuotaInfo](/api-reference/compute/vm/datastructure.md#imagequotainfo) | Information on image quota.                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the quotas of images in different zones.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImageQuota
<Common Request Params>

Request:
{
  "zoneIds": [
    "FRA-A",
    "HKG-A"
  ]
}

Response:
{
  "requestId": "T56C2FE84-40CC-4A84-A68B-D5EB12A03768",
  "response": {
    "requestId": "T56C2FE84-40CC-4A84-A68B-D5EB12A03768",
    "images": [
      {
        "count": 2,
        "zoneId": "FRA-A",
        "maxCount": 5
      },
      {
        "count": 3,
        "zoneId": "HKG-A",
        "maxCount": 5
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/image/describeimagequota.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
